sdr::LogHandler Class Referenceabstract

Base class of all log-message handlers. More...

`#include <logger.hh>`

Inheritance diagram for sdr::LogHandler:

## Public Member Functions

virtual | ~LogHandler ()
| Destructor. More...
virtual void | handle (const LogMessage &msg)=0
| Needs to be implemented by sub-classes to handle log messages. More...

## Protected Member Functions

| LogHandler ()
| Hidden constructor. More...

## Detailed Description

Base class of all log-message handlers.

## Constructor & Destructor Documentation

LogHandler::LogHandler | ( |  | ) |

protected

Hidden constructor.

LogHandler::~LogHandler | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

virtual void sdr::LogHandler::handle | ( | const LogMessage & | msg | ) |

pure virtual

Needs to be implemented by sub-classes to handle log messages.

Implemented in sdr::StreamLogHandler.

The documentation for this class was generated from the following files:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/logger.hh
- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/logger.cc